+++
title = "Le logiciel libre, nécessaire outil de notre souveraineté numérique"
+++

<div style="text-align:center">
	<img style="width: 900px;max-width: 100%;" alt="L'ignoble hydre des GAFAM" src="/img/drawings/hydre.webp" aria-hidden/>
</div>

<strong class="emph">Pourquoi proposons-nous des logiciels libres, et d'abord qu'entendons-nous par "libre"&#8239;?</strong>

## Les libertés informatiques

Les logiciels libres respectent vos 4 libertés informatiques fondamentales&nbsp;:

* **Utiliser le logiciel**  
	Votre logiciel ne vous obligera jamais à payer ou à respecter des clauses malhonnêtes pour pouvoir continuer à l'utiliser.
* **Étudier le logiciel**  
	Le code source (les plans de conception) du logiciel est publié, n'importe qui peut donc demander à des experts indépendants d'en faire un audit de sécurité, par exemple.
* **Partager le logiciel**  
	Si vous avez une copie du logiciel, vous avez toujours le droit de la partager. Même si le distributeur d'origine ne répond plus, vous pourrez toujours trouver une copie autre part.
* **Modifier le logiciel**  
	Une fonctionnalité vous manque ou un bug vous gêne&#8239;? Faites appel à un développeur pour améliorer le logiciel. Nul besoin d'attendre que l'éditeur d'origine veuille bien accéder à votre demande. L'amélioration pourra ensuite être partagée avec la communauté.

Un logiciel ne respectant pas ces 4 libertés fondamentales est dit privateur, car il tente de vous priver de votre capacité à traiter de l'information, c'est-à-dire à utiliser un ordinateur.

<div style="text-align:center"><a href="/reprenez-le-controle" class="bigbutton">Reprenez le contrôle ↱</a></div>

## Auto-hébergement

Les services centralisés posent divers problèmes&nbsp;:

* Vous n'avez aucun contrôle sur leur gestion, ils peuvent exploiter vos données sensibles à des fins publicitaires ou politiques sans votre consentement.
* Leurs propriétaires peuvent faire des choix qui ne vous plaisent pas voire avec lesquels vous êtes en désaccord.
* Ce sont les hypermarchés d'Internet&nbsp;: si votre prestataire de services est éloigné (Paris, États-Unis), chaque page web vue sur votre site aura parcouru des milliers de kilomètres en passant par des dizaines de machines.

Héberger vos services informatiques chez vous ou chez des prestataires locaux et de confiance, permet de relocaliser Internet, de ne pas subir les choix des hébergeurs, et de respecter vos données sensibles et celles de vos clients.

## Sécurité

Les logiciels privateurs dont le code source reste secret peuvent facilement intégrer des portes dérobées, qui permettent non seulement à l'éditeur et aux services secrets gouvernementaux de contrôler la machine à distance, mais aussi aux pirates&#8239;!

Une telle faille est plus facilement détectée dans un logiciel libre, et la communauté est alertée.

On pourrait croire qu’un code source public faciliterait le travail des pirates, mais dès qu’une faille est trouvée, elle peut être corrigée par la communauté plutôt que tenue secrète.

## Conçus pour être utiles

Les logiciels libres sont en général conçus pour faire leur fonction, et non pour être vendus. Il y a donc moins de conflits d'intérêts néfastes.

Le code source d'un logiciel privateur ne pouvant être audité, il est impossible de savoir exactement ce qu'il fait quand nous l'exécutons sur notre machine, nous devons donc avoir toute confiance en son éditeur. Les incessants soucis de confidentialité observés chez les géants de l'informatique montre que cette confiance est peut-être mal placée.

Exemple&nbsp;: quand vous téléchargez une application "lampe de poche" et qu’elle demande l’accès à vos contacts, agendas, photos, GPS, etc… peut-être qu’elle ne fait pas que lampe de poche&#8239;!

## Interopérabilité

Les éditeurs de services privateurs ont tout intérêt à rendre difficile l'utilisation d'autres services que les leurs&nbsp;: une fois que vous devenez dépendant de leur système, il devient très coûteux d'en changer, et vous pouvez être incité à acheter toujours plus.

## Gratuité

Les logiciels libres sont gratuits à utiliser, mais jamais gratuits à produire&#8239;!

Les logiciels libres ne se financent en général pas par la vente de licences d'utilisation, la publicité ou la vente de données à caractère personnel. Le travail est souvent bénévole ou alimenté par le don. Il est donc naturel de contribuer à leur développement quand on les utilise. C'est ce que fait Librezo, en reversant 15% de ses bénéfices à des projets de logiciels libres.

<div style="text-align:center"><a href="/reprenez-le-controle" class="bigbutton">Reprenez le contrôle ↱</a></div>
